/**

    Copyright 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.registry.utils.test;

import java.util.List;


import javax.xml.registry.infomodel.ClassificationScheme;
import javax.xml.registry.infomodel.Organization;

import org.spagic.registry.utils.IServiceRegistry;
import org.spagic.registry.utils.UDDIServiceRegistryImpl;

public class TestGetClassificationScheme {
	public static void main(String[] args) {
		IServiceRegistry serviceRegistry = null;
		try{
			serviceRegistry = new UDDIServiceRegistryImpl();
			serviceRegistry.initRegistry();
			
			List<ClassificationScheme> valueForBusiness = serviceRegistry.getAllClassificationScheme();
			for (ClassificationScheme str:valueForBusiness){
				System.out.println("Taxonomy ["+str.getName().getValue()+"]");
				List<String> valueForTaxonomy = serviceRegistry.getClassificationSchemeValues(str.getName().getValue());
				for (String str2:valueForTaxonomy){
					System.out.println("Value [" +str2+"]");
				}
				
			}
			
		}catch (Exception e) {
			e.printStackTrace();
		} finally{
			serviceRegistry.finalizeRegistry();
		}
		
	}
}
